/*
 * Copyright 2010 CodeGist.org
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 * ===================================================================
 *
 * More information at http://www.codegist.org.
 */

package org.codegist.crest.delicious.model;

import org.codegist.common.collect.Arrays;

import javax.xml.bind.annotation.adapters.XmlAdapter;

/**
 * @author Laurent Gilles (laurent.gilles@codegist.org)
 */
class ArrayAdapter extends XmlAdapter<String,String[]> {
    @Override
    public String[] unmarshal(String v) throws Exception {
        return v.split(",");
    }

    @Override
    public String marshal(String[] v) throws Exception {
        return v != null ? Arrays.join(",", v) : "";
    }
}
