/*
 * Copyright 2010 CodeGist.org
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 * ===================================================================
 *
 * More information at http://www.codegist.org.
 */

package org.codegist.crest.delicious.model;

import org.codegist.crest.annotate.Injector;
import org.codegist.crest.delicious.injector.RangeInjector;

/**
 * @author Laurent Gilles (laurent.gilles@codegist.org)
 */
@Injector(RangeInjector.class)
public class Range {
    private final int start;
    private final int results;

    public Range(int start, int results) {
        this.start = start;
        this.results = results;
    }

    public int getStart() {
        return start;
    }

    public int getResults() {
        return results;
    }
}
